/// <reference types="react" />
declare const _default: {
    Checkbox: import("./Checkbox/Checkbox.types").CheckboxComponent & {
        components: {
            Label: import("styled-components").StyledComponent<import("react").FC<import("../../Atoms/Typography/Typography.types").Props>, import("styled-components").DefaultTheme, {}, never>;
            CheckmarkBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
                size: number;
                shape: import("./Checkbox/Checkbox.shape").Shape;
            }, never>;
        };
        Shape: typeof import("./Checkbox/Checkbox.shape").Shape;
    };
    Text: import("react").ForwardRefExoticComponent<import("./Text/Text.types").Props & import("react").RefAttributes<HTMLInputElement>> & {
        components?: {
            Input: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
                type: any;
            } & Partial<import("./Text/Text.types").Props>, "type">;
            AddonBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
                position?: "left" | "right" | undefined;
                variant?: import("./Text/Text.types").Variant | undefined;
            }, never>;
        } | undefined;
    };
    Textarea: import("react").FC<import("./Textarea/Textarea.types").Props> & {
        components: {
            StyledTextarea: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLTextAreaElement>>, import("styled-components").DefaultTheme, Pick<import("./Textarea/Textarea.types").Props, "noResize">, never>;
        };
    };
    FormattedNumber: import("react").FC<import("./FormattedNumber/FormattedNumber.types").Props> & {
        components: {
            AddonBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
                position?: "left" | "right" | undefined;
                variant?: "normal" | "quiet" | undefined;
            }, never>;
            Input: import("styled-components").StyledComponent<import("./FormattedNumber/FormattedInput/FormattedInput.types").FormattedNumberInputType, import("styled-components").DefaultTheme, {
                type: string;
            } & Partial<import("./FormattedNumber/FormattedNumber.types").Props> & {
                showSteppers: boolean;
            }, "type">;
            Stepper: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {
                type: "button";
            } & Partial<import("./FormattedNumber/FormattedNumber.types").Props>, "type">;
            Wrapper: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
        };
    };
    Number: import("react").FC<import("./Number/Number.types").Props> & {
        components: {
            AddonBox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {
                position?: "left" | "right" | undefined;
                variant?: "normal" | "quiet" | undefined;
            }, never>;
            Input: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
                type: string;
            } & Partial<import("./Number/Number.types").Props>, "type">;
            Stepper: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {
                type: "button";
            } & Partial<import("./Number/Number.types").Props>, "type">;
            Wrapper: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<{
                sm?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                md?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                lg?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
                xl?: Partial<import("../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
            } & import("../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
                className?: string | undefined;
            } & {
                children?: import("react").ReactNode;
                as?: any;
            } & import("react").RefAttributes<HTMLDivElement>>, import("styled-components").DefaultTheme, {}, never>;
        };
    };
    Select: {
        (props: import("./Select/Select.types").Props): import("react").JSX.Element;
        useSelectMachineFromContext: () => [import("xstate").State<import("./Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, (event: import("xstate").SCXML.Event<import("xstate").AnyEventObject> | import("xstate").SingleOrArray<import("xstate").Event<import("xstate").AnyEventObject>>, payload?: import("xstate").EventData | undefined) => import("xstate").State<import("./Select/machine").Context, import("xstate").AnyEventObject, any, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>, import("xstate").Interpreter<import("./Select/machine").Context, any, import("xstate").AnyEventObject, any, import("xstate").ResolveTypegenMeta<import("xstate").TypegenDisabled, import("xstate").AnyEventObject, import("xstate").BaseActionObject, import("xstate").ServiceMap>>];
        ACTION_TYPES: {
            SYNC: string;
            OPEN: string;
            CLOSE: string;
            TOGGLE: string;
            FOCUS: string;
            BLUR: string;
            SELECT_FOCUSED_ITEM: string;
            SELECT_ITEM: string;
            DESELECT_ITEM: string;
            CHANGE_COMMIT: string;
            CHANGE_COMMIT_ABORT: string;
            ITEM_CLICK: string;
            SEARCH_QUERY_UPDATE: string;
            MOUSE_MOVE: string;
            KEY_PRESS: string;
            FOCUS_NEXT_ITEM: string;
            FOCUS_PREV_ITEM: string;
        };
        SYMBOL_ALL: typeof import("./Select/lib/constants").SYMBOL_ALL;
        defaults: {
            components: {
                ListItem: import("react").FC<{
                    index: number;
                }>;
                List: import("react").FC<{
                    listPosition?: string | undefined;
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    maxHeight?: string | undefined;
                    noFormField?: boolean | undefined;
                    placement?: "top" | "bottom" | undefined;
                    itemsPerColumn?: number | undefined;
                    columnWidth?: string | undefined;
                    listWidth?: string | undefined;
                    invertedColors?: boolean | undefined;
                    children?: import("react").ReactNode;
                }>;
                ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    children?: import("react").ReactNode;
                }) => import("react").JSX.Element;
                Search: import("react").ForwardRefExoticComponent<{
                    'aria-activedescendant': string;
                    'data-testid': string;
                    hidden: boolean;
                    value: string;
                    onChange: import("react").ChangeEventHandler<Element>;
                    fullscreenOnMobile: boolean;
                } & import("react").RefAttributes<HTMLInputElement>>;
                SelectedValue: () => import("react").JSX.Element;
                Action: import("react").FC<{
                    isKeyboardNavigation: boolean;
                    focused: boolean;
                    label: string;
                    icon: import("react").ReactNode;
                    disabled?: boolean | undefined;
                }>;
            };
            componentsMultiselect: {
                ListItem: ({ index }: {
                    index: number;
                }) => import("react").JSX.Element | null;
                List: import("react").FC<{
                    listPosition?: string | undefined;
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    maxHeight?: string | undefined;
                    noFormField?: boolean | undefined;
                    placement?: "top" | "bottom" | undefined;
                    itemsPerColumn?: number | undefined;
                    columnWidth?: string | undefined;
                    listWidth?: string | undefined;
                    invertedColors?: boolean | undefined;
                    children?: import("react").ReactNode;
                }>;
                ListFullScreen: ({ children, searchComponent, actionsComponent, }: {
                    searchComponent?: import("react").ReactNode;
                    actionsComponent?: import("react").ReactNode;
                    children?: import("react").ReactNode;
                }) => import("react").JSX.Element;
                Search: import("react").ForwardRefExoticComponent<{
                    'aria-activedescendant': string;
                    'data-testid': string;
                    hidden: boolean;
                    value: string;
                    onChange: import("react").ChangeEventHandler<Element>;
                    fullscreenOnMobile: boolean;
                } & import("react").RefAttributes<HTMLInputElement>>;
                SelectedValue: () => import("react").JSX.Element;
                Action: import("react").FC<{
                    isKeyboardNavigation: boolean;
                    focused: boolean;
                    label: string;
                    icon: import("react").ReactNode;
                    disabled?: boolean | undefined;
                }>;
            };
        };
    };
    Phone: import("react").ForwardRefExoticComponent<import("./Phone/Phone.types").Props & import("react").RefAttributes<HTMLInputElement>> & {
        components?: {
            StyledInput: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<Omit<any, "ref"> & import("react").RefAttributes<HTMLInputElement>>, import("styled-components").DefaultTheme, {
                type: any;
            } & Partial<import("./Phone/Phone.types").Props>, "type">;
        } | undefined;
    };
    Radio: import("./Radio/Radio.types").RadioComponent;
};
export default _default;
